Bug 166389 - Review Request: NoGravity, 3D 'Wing Commander'-like game
Review Request: NoGravity, 3D 'Wing Commander'-like game
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-08-20 05:25 EDT by Peter Lemenkov
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-06 08:15:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Spec file patch (3.04 KB, patch)
2005-08-20 10:03 EDT, Brian Pepple
no flags Details | Diff
New Spec File (2.86 KB, text/plain)
2005-08-20 11:41 EDT, Brian Pepple
no flags Details

  None (edit)
Description Peter Lemenkov 2005-08-20 05:25:15 EDT
Spec Name or Url: http://paula.comtv.ru/nogravity.spec
Description: No Gravity is a fantastic and futuristic universe made of five
intergalactic worlds. An arcade type game with great playability,
where it is easy to plunge into space battles against spacefighters,
space stations and more!
Comment 1 Brian Pepple 2005-08-20 10:03:33 EDT
Created attachment 117942 [details]
Spec file patch
Comment 2 Brian Pepple 2005-08-20 10:09:43 EDT
Looks like you spec file is missing quite a few of the Build Requirements, and
the source file doesn't contain the necessary bootstrap files.  I've attached a
patch in Comment #1, which should at least allow NoGravity to build.  In the
future you might want to use Mock to verify that you spec file builds.  More
information can be found here: http://fedoraproject.org/wiki/Projects/Mock

In addition, this still needs a desktop file, and probably a simple script to
run it, since the binary is located in /usr/games/nogravity.  Later today, I'll
probably have time to do this, and I'll post a src.rpm if you don't have time.

More importantly, though, this might not be able to go into Fedora Extras, since
the data file is copyrighted and licensed by RealTech.  This was discussed a few
months back on the mail list, but I'm not sure if this was ever resolved.  We
might need to check with Tom Callaway to see what the current rules are.  If
it's not eligible for Fedora Extras, you can submit it to the Livna repository.
Comment 3 Brian Pepple 2005-08-20 11:40:17 EDT
Here's the src rpm for the changes I made:

Might be a little slow on the download, since my home line is being used fairly
heavy today.
Comment 4 Brian Pepple 2005-08-20 11:41:41 EDT
Created attachment 117944 [details]
New Spec File

Here's the spec file after my changes, including the desktop file, etc.
Comment 5 Brian Pepple 2005-08-22 11:13:21 EDT
I talked to Tom Callaway regarding the licensing of the data file, and he feels
that we need something in writing verifying that we have permission to freely
redistribute the data file.  I'm going to contact the developers in their forum,
and see if I can get this done.
Comment 6 Nils Philippsen 2005-08-22 12:10:15 EDT
If we can distribute this from Extras, we still should put the data into its own
subpackage so that users don't get confused about what files is v´covered by
which license.
Comment 7 Peter Lemenkov 2005-08-22 13:13:21 EDT
(In reply to comment #5)
> I talked to Tom Callaway regarding the licensing of the data file, and he feels
> that we need something in writing verifying that we have permission to freely
> redistribute the data file.  I'm going to contact the developers in their forum,
> and see if I can get this done.

Sounds bad - I don't think they'll grant us data-file, covered by different
license. OK, let's wait for answer from 'em. 

In any case, we got good spec & srpm, incl. all necessary stuff (desktop file,
etc), so we can move game to the Livna.
Comment 8 Brian Pepple 2005-09-08 11:37:59 EDT
I tried to get the developers to add something in writing about being able to
freely distribute the data file, but they don't seem to be interested.  They did
add the missing bootstrap files to the source zip file, though.  Here's a link
to the discussion:

With that being said, it's probably best to submit this to the Livna repo. 
Here's a link to their developement page
(http://rpm.livna.org/development.html), if you haven't submitted anything to
them before.  I've gone ahead and updated the spec file to conform to Livna's
specifications.  Here's a link to a new src.rpm:


* Thu Sep  8 2005 Brian Pepple <bdpepple@ameritech.net> - 0:1.99-0.lvn.1
- Change desktop file section to reflect Livna repo.
- Shorten Summary, so rpmlint doesn't complain.
- Add Epoch & use Livna release number scheme.
- Drop bootstrap files, since upstream src.zip contains them now.
- Change file permission of bootstrap script in the tarball, so that it is
- Use %%install instead of %%cp.
Comment 9 Peter Lemenkov 2005-10-06 08:07:07 EDT
Moved to Livna

Comment 10 Brian Pepple 2005-10-06 08:15:19 EDT
Failed due to datafile.  Refer to comment #8.

Note You need to log in before you can comment on or make changes to this bug.